Jump to content

Свойства листового металла в базе материалов


Recommended Posts

Всем добрый день.

В базе материалов появилась вкладка "Листовой металл", но в справках не могу найти описания ее действия. В базе материалов соответствующие записи появляются, но больше ничего не происходит. А хотелось бы при назначении листового материала автоматом заполнять толщину, радиус гиба и допуск сгиба в моделе.

Может кто знает?

изображение_2022-09-20_212358544.png

  • Нравится 1
Link to post
Share on other sites


UnPinned posts
12 часов назад, VOleg сказал:

А хотелось бы при назначении листового материала автоматом заполнять толщину, радиус гиба и допуск сгиба в моделе.

https://help.solidworks.com/2019/russian/whatsnew/t_linking_materials_and_sheet_metal_parameters.htm

https://help.solidworks.com/2022/russian/solidworks/sldworks/t_material_db_sheet_metal_tab.htm

 

 

Link to post
Share on other sites

Спасибо за подсказку.

А где мне ввести толщину и радиус гиба?

Link to post
Share on other sites
5 минут назад, VOleg сказал:

Спасибо за подсказку.

А где мне ввести толщину и радиус гиба?

Если у вас получится и если не трудно поделитесь деталью/материалом)))

Link to post
Share on other sites
8 минут назад, DuS сказал:

Если у вас получится и если не трудно поделитесь деталью/материалом)))

Мне не трудно.

Пока я смог для каждого материала заполнить таблицу Коэфф.К и она загружается в каждый материал. Но от этого не легче. Она просто констатирует, что при какой толщине какой Коэфф.К. И что?

Ранее я пытался связать свойства материла с модель. Заполнял пользовательское свойство "Толщина" и макросом переносил ее в модель. Но это надо не забывать нажать эту кнопочку. Тяжело.

Sub getkodmat()

 Dim swApp           As SldWorks.SldWorks
 Dim swModel         As SldWorks.ModelDoc2
 Dim swPart          As SldWorks.PartDoc
 Dim dbs             As Variant
 Dim sMatName        As String
 Dim uMatName        As String
 Dim sMatDB          As String
 Dim name1           As String, name2 As String, valu1 As String, valu2 As String
 Dim bRet            As Boolean
 Dim i               As Integer
 Dim swConfigMgr     As SldWorks.ConfigurationManager
 Dim swConfig        As SldWorks.Configuration
 Dim swCustPropMgr   As SldWorks.CustomPropertyManager
 Dim cname           As String, isto As String

' Dim xd As MSXML2.DOMDocument
' Dim ndl As MSXML2.IXMLDOMNodeList
' Dim nd As MSXML2.IXMLDOMNode
' Dim ndcs As MSXML2.IXMLDOMNodeList
' Dim ndс As MSXML2.IXMLDOMNode
' Dim at As MSXML2.IXMLDOMAttribute

 Set swApp = Application.SldWorks
 Set swModel = swApp.ActiveDoc
 
  ' Начальные проверки
 If swModel Is Nothing Then
     MsgBox "Ничего не открыто", , "Откройте сборку"
     Exit Sub
 End If
 If swModel.GetType <> swDocPART Then
     MsgBox "Текущий документ д.б. деталью!", , "Откройте деталь"
     Exit Sub
 End If
 
 
 Set swPart = swModel
 Set swConfigMgr = swModel.ConfigurationManager
 Set swConfig = swConfigMgr.ActiveConfiguration
 Set swCustPropMgr = swConfig.CustomPropertyManager

 cname = swConfig.Name
 sMatDB = ""
 name1 = "Код материала"
 name2 = "РазмерСортамента"
 dbs = swApp.GetMaterialDatabases
 sMatName = swPart.GetMaterialPropertyName2(cname, sMatDB)
 If sMatName = "" Then
    MsgBox "Для конфигурации " + Chr(34) + cname + Chr(34) + " не задан материал"
    Exit Sub
 End If

 fnd1 = False
 For i = LBound(dbs) To UBound(dbs)
   If StrComp(UCase(Left(Right(dbs(i), Len(sMatDB) + 7), Len(sMatDB))), UCase(sMatDB)) = 0 Then
     sMatDB = dbs(i)
     fnd1 = True
     Exit For
   End If
 Next i

 If Not fnd1 Then
   MsgBox "Наща БД материалов не найдена", , sMatDB
   Exit Sub
 End If
 Set xd = CreateObject("MSXML2.DOMDocument")
 xd.Load (sMatDB)
 uMatName = UCase(sMatName)

 Set ndl = xd.getElementsByTagName("material")
 For i = 0 To ndl.Length - 1
   fnd1 = False
   Set nd = ndl.Item(i)
   nat = nd.Attributes.Length
   For j = 0 To nat - 1
     Set at = nd.Attributes.Item(j)
     If UCase(at.Name) = "NAME" And UCase(at.Value) = UCase(uMatName) Then
       fnd1 = True
       Exit For
     End If
   Next
   If fnd1 Then Exit For
 Next
 
 If fnd1 Then  ' nd - наш материал
    fnd2 = False
    fnd3 = False
    fnd4 = False
    fnd5 = False
    fnd6 = False
    fnd7 = False
    For j = 0 To nat - 1
      Set at = nd.Attributes.Item(j)
      If UCase(at.Name) = "PROPERTYSOURCE" Then
        fnd2 = True
        isto = at.Value
        If fnd2 Then Exit For
      End If
    Next
    
    Set ndcs = nd.childNodes
    For j = 0 To ndcs.Length - 1
      If UCase(ndcs.Item(j).nodeName) = "CUSTOM" Then
        fnd3 = True
        Exit For
      End If
    Next j
    
    If fnd3 Then
     Set ndcs = ndcs.Item(j).childNodes
     ' поиск первого свойства
     For i = 0 To ndcs.Length - 1
       Set nd = ndcs.Item(i)
       nat = nd.Attributes.Length
       For j = 0 To nat - 1
         Set at = nd.Attributes.Item(j)
         If UCase(at.Name) = "NAME" And UCase(at.Value) = UCase(name1) Then
           fnd4 = True
           Exit For
         End If
       Next
       If fnd4 Then
         For j = 0 To nat - 1
           Set at = nd.Attributes.Item(j)
           If UCase(at.Name) = "VALUE" Then
             fnd5 = True
             valu1 = at.Value
             Exit For
           End If
         Next
       End If
       If fnd5 Then Exit For
     Next
     ' поиск второго свойства
     For i = 0 To ndcs.Length - 1
       Set nd = ndcs.Item(i)
       nat = nd.Attributes.Length
       For j = 0 To nat - 1
         Set at = nd.Attributes.Item(j)
         If UCase(at.Name) = "NAME" And UCase(at.Value) = UCase(name2) Then
           fnd6 = True
           Exit For
         End If
       Next
       If fnd6 Then
         For j = 0 To nat - 1
           Set at = nd.Attributes.Item(j)
           If UCase(at.Name) = "VALUE" Then
             fnd7 = True
             valu2 = at.Value
             Exit For
           End If
         Next
       End If
       If fnd7 Then Exit For
     Next
    End If
    
 End If

 i = 0
 If Not fnd1 Then
   MsgBox "Материал " + Chr(34) + sMatName + Chr(34) + "не найден в БД", , sMatDB
 Else
   'If fnd2 Then
   '   MsgBox "Свойство Источник=" + isto, , sMatName
   'Else
   '   MsgBox "Атрибут PropertySource не найден для материала", , sMatName
   'End If
   If Not fnd3 Then
      MsgBox "Для материала не найдены свойства пользователя", , sMatName
   Else
     If fnd5 Then
      If swCustPropMgr.Set(name1, valu1) < 0 Then swCustPropMgr.Add2 name1, swCustomInfoText, valu1
      i = i + 1
     Else
      MsgBox "Для материала не найдено свойство " + name1, , sMatName
     End If
     If fnd7 Then
      If swCustPropMgr.Set(name2, valu2) < 0 Then swCustPropMgr.Add2 name2, swCustomInfoText, valu2
      i = i + 1
     Else
      MsgBox "Для материала не найдено свойство " + name2, , sMatName
     End If
   End If
 End If
 MsgBox "Добавлено/изменено свойств материала:" + Str(i)
 Set xd = Nothing
 
End Sub
 

Link to post
Share on other sites
16 минут назад, VOleg сказал:

Мне не трудно.

Пока я смог для каждого материала заполнить таблицу Коэфф.К и она загружается в каждый материал. Но от этого не легче. Она просто констатирует, что при какой толщине какой Коэфф.К. И что?

Ранее я пытался связать свойства материла с модель. Заполнял пользовательское свойство "Толщина" и макросом переносил ее в модель. Но это надо не забывать нажать эту кнопочку. Тяжело.

Sub getkodmat()

 Dim swApp           As SldWorks.SldWorks
 Dim swModel         As SldWorks.ModelDoc2
 Dim swPart          As SldWorks.PartDoc
 Dim dbs             As Variant
 Dim sMatName        As String
 Dim uMatName        As String
 Dim sMatDB          As String
 Dim name1           As String, name2 As String, valu1 As String, valu2 As String
 Dim bRet            As Boolean
 Dim i               As Integer
 Dim swConfigMgr     As SldWorks.ConfigurationManager
 Dim swConfig        As SldWorks.Configuration
 Dim swCustPropMgr   As SldWorks.CustomPropertyManager
 Dim cname           As String, isto As String

' Dim xd As MSXML2.DOMDocument
' Dim ndl As MSXML2.IXMLDOMNodeList
' Dim nd As MSXML2.IXMLDOMNode
' Dim ndcs As MSXML2.IXMLDOMNodeList
' Dim ndс As MSXML2.IXMLDOMNode
' Dim at As MSXML2.IXMLDOMAttribute

 Set swApp = Application.SldWorks
 Set swModel = swApp.ActiveDoc
 
  ' Начальные проверки
 If swModel Is Nothing Then
     MsgBox "Ничего не открыто", , "Откройте сборку"
     Exit Sub
 End If
 If swModel.GetType <> swDocPART Then
     MsgBox "Текущий документ д.б. деталью!", , "Откройте деталь"
     Exit Sub
 End If
 
 
 Set swPart = swModel
 Set swConfigMgr = swModel.ConfigurationManager
 Set swConfig = swConfigMgr.ActiveConfiguration
 Set swCustPropMgr = swConfig.CustomPropertyManager

 cname = swConfig.Name
 sMatDB = ""
 name1 = "Код материала"
 name2 = "РазмерСортамента"
 dbs = swApp.GetMaterialDatabases
 sMatName = swPart.GetMaterialPropertyName2(cname, sMatDB)
 If sMatName = "" Then
    MsgBox "Для конфигурации " + Chr(34) + cname + Chr(34) + " не задан материал"
    Exit Sub
 End If

 fnd1 = False
 For i = LBound(dbs) To UBound(dbs)
   If StrComp(UCase(Left(Right(dbs(i), Len(sMatDB) + 7), Len(sMatDB))), UCase(sMatDB)) = 0 Then
     sMatDB = dbs(i)
     fnd1 = True
     Exit For
   End If
 Next i

 If Not fnd1 Then
   MsgBox "Наща БД материалов не найдена", , sMatDB
   Exit Sub
 End If
 Set xd = CreateObject("MSXML2.DOMDocument")
 xd.Load (sMatDB)
 uMatName = UCase(sMatName)

 Set ndl = xd.getElementsByTagName("material")
 For i = 0 To ndl.Length - 1
   fnd1 = False
   Set nd = ndl.Item(i)
   nat = nd.Attributes.Length
   For j = 0 To nat - 1
     Set at = nd.Attributes.Item(j)
     If UCase(at.Name) = "NAME" And UCase(at.Value) = UCase(uMatName) Then
       fnd1 = True
       Exit For
     End If
   Next
   If fnd1 Then Exit For
 Next
 
 If fnd1 Then  ' nd - наш материал
    fnd2 = False
    fnd3 = False
    fnd4 = False
    fnd5 = False
    fnd6 = False
    fnd7 = False
    For j = 0 To nat - 1
      Set at = nd.Attributes.Item(j)
      If UCase(at.Name) = "PROPERTYSOURCE" Then
        fnd2 = True
        isto = at.Value
        If fnd2 Then Exit For
      End If
    Next
    
    Set ndcs = nd.childNodes
    For j = 0 To ndcs.Length - 1
      If UCase(ndcs.Item(j).nodeName) = "CUSTOM" Then
        fnd3 = True
        Exit For
      End If
    Next j
    
    If fnd3 Then
     Set ndcs = ndcs.Item(j).childNodes
     ' поиск первого свойства
     For i = 0 To ndcs.Length - 1
       Set nd = ndcs.Item(i)
       nat = nd.Attributes.Length
       For j = 0 To nat - 1
         Set at = nd.Attributes.Item(j)
         If UCase(at.Name) = "NAME" And UCase(at.Value) = UCase(name1) Then
           fnd4 = True
           Exit For
         End If
       Next
       If fnd4 Then
         For j = 0 To nat - 1
           Set at = nd.Attributes.Item(j)
           If UCase(at.Name) = "VALUE" Then
             fnd5 = True
             valu1 = at.Value
             Exit For
           End If
         Next
       End If
       If fnd5 Then Exit For
     Next
     ' поиск второго свойства
     For i = 0 To ndcs.Length - 1
       Set nd = ndcs.Item(i)
       nat = nd.Attributes.Length
       For j = 0 To nat - 1
         Set at = nd.Attributes.Item(j)
         If UCase(at.Name) = "NAME" And UCase(at.Value) = UCase(name2) Then
           fnd6 = True
           Exit For
         End If
       Next
       If fnd6 Then
         For j = 0 To nat - 1
           Set at = nd.Attributes.Item(j)
           If UCase(at.Name) = "VALUE" Then
             fnd7 = True
             valu2 = at.Value
             Exit For
           End If
         Next
       End If
       If fnd7 Then Exit For
     Next
    End If
    
 End If

 i = 0
 If Not fnd1 Then
   MsgBox "Материал " + Chr(34) + sMatName + Chr(34) + "не найден в БД", , sMatDB
 Else
   'If fnd2 Then
   '   MsgBox "Свойство Источник=" + isto, , sMatName
   'Else
   '   MsgBox "Атрибут PropertySource не найден для материала", , sMatName
   'End If
   If Not fnd3 Then
      MsgBox "Для материала не найдены свойства пользователя", , sMatName
   Else
     If fnd5 Then
      If swCustPropMgr.Set(name1, valu1) < 0 Then swCustPropMgr.Add2 name1, swCustomInfoText, valu1
      i = i + 1
     Else
      MsgBox "Для материала не найдено свойство " + name1, , sMatName
     End If
     If fnd7 Then
      If swCustPropMgr.Set(name2, valu2) < 0 Then swCustPropMgr.Add2 name2, swCustomInfoText, valu2
      i = i + 1
     Else
      MsgBox "Для материала не найдено свойство " + name2, , sMatName
     End If
   End If
 End If
 MsgBox "Добавлено/изменено свойств материала:" + Str(i)
 Set xd = Nothing
 
End Sub
 

Это как то все усложнено (как мне кажется).

Я сейчас использую такого типа записи

Труба
Труба "A@э"x"B@э"x"1@э" ГОСТ 8645-68
                    В10 ГОСТ 13663-86
L="D1@Бобышка-Вытянуть1" мм, Торцы Rz320

-------Труба квадратная----------------------
Труба
Труба "A@э"x"A@э"x"R@э" ГОСТ 8639-82
                 В10 ГОСТ 13663-86
L="D1@Бобышка-Вытянуть1"мм, Торцы Rz320
это всё тоже неудобно, но работает.

Link to post
Share on other sites
3 минуты назад, DuS сказал:

Это как то все усложнено (как мне кажется).

Я сейчас использую такого типа записи

Труба

Мы говорим о листовом металле. Вопрос как из материала перенести в модель толщину, радиус гиба и Коэфф.К.

изображение_2022-09-21_120611983.png

Link to post
Share on other sites
18 минут назад, VOleg сказал:

Мы говорим о листовом металле. Вопрос как из материала перенести в модель толщину, радиус гиба и Коэфф.К.

Судя по описанию инструмента он такой возможности не имеет - можно лишь для каждого материала выбрать табличку сгибов с наборов параметров для разных толщин и радиусов гибки, что было раньше не привязано к материалам, а теперь привязали такую табличку к материалу.

Другие параметры похоже пока оставили без внимания и требуется их ручной ввод в модели.

 

46 минут назад, VOleg сказал:

Ранее я пытался связать свойства материла с модель. Заполнял пользовательское свойство "Толщина" и макросом переносил ее в модель. Но это надо не забывать нажать эту кнопочку. Тяжело.

Можно попробовать встроить макрос в модель и что бы он, например, реагировал на смену материала (надо посмотреть отслеживает ли он это событие через API).

В качестве примера есть макрос создающий себя в модели фичерсом и пересчитывающий центр масс при изменении модели:

 

CenterOfGravity.zip

Link to post
Share on other sites
2 часа назад, DuS сказал:

Если у вас получится и если не трудно поделитесь деталью/материалом)))

Вот такая табличка у меня получилась. Для разных станков коэффициент К может быть другим.

В базе материалов жму кнопку импорт и табличка переписывается.

КоэффициентКлистовогоМеталла.xls

  • Нравится 1
Link to post
Share on other sites
19 минут назад, VOleg сказал:

Для разных станков коэффициент К может быть другим.

Именно поэтому развёртка должна быть справочной, а коэффициент должен быть вписан в ТТ как коэффициент по которому вычислена развёртка, что бы на производстве технолог проверил коэффициент и в случае необходимости скорректировал справочную развёртку под свои станки.

 

Можно глянуть таблички и коэффициенты в РТМ 34-65 Штампы для холодной листовой штамповки - имеется на просторах итернета.

  • Нравится 1
Link to post
Share on other sites
21 минуту назад, Kelny сказал:

Именно поэтому развёртка должна быть справочной

Бог с ней, с разверткой. Мне нужно задать толщину, радиус гиба, и коэфф.К в материале, например в виде пользовательских свойств и макросом перенести их в свойства листового металла в случае задания или изменения материала. Я тут проверил, мой макрос. почему-то, не работает...

Link to post
Share on other sites
18 часов назад, VOleg сказал:

А хотелось бы при назначении листового материала автоматом заполнять толщину, радиус гиба и допуск сгиба в моделе.

Может кто знает?

Почитал ветку с непониманием что происходит. Расскажу вкратце как устроен листогиб, разновидности и способы гиба листа, может тогда многие вопросы отпадут сами собой

Есть два основных типа листогибов - вертикальный, с пуансоном, входящим в призму на столе и горизонтальный, когда гиб осуществляется поднятием с поворотом ножа на нужный угол.

В первом типе внутренний радиус гиба листа определяется радиусом кромки пуансона, который никто не будет менять в зависимости от толщины листа, разве что если нужно гнуть лист 8 после тройки. От 0,5 до 3 мм, а иногда и до 4 мм пуансоны не меняют, а толще обычно не тянет сама машина, этому на заводах, где гнут и тонкие и толстые листы, листогибов больше, чем один. Во втором - расстоянием края прижима от оси поворота ножа, которое не изменяется и так же листы от 0,5 до 3 мм гнут на одной машине, толще - на другой Это принципиально разные машины. Как видим зависимости от толщины металла тут нет, есть только максимальная толщина, которую способен согнуть конкретный листогиб.

Только в гибочных штампах, когда штамп делается под конкретную делать с конкретной толщиной заготовки радиус можно задать, в остальных случаях радиус гиба не зависит от толщины металла и выбирать этот параметр следует исходя из характеристик оборудования, на котором все это будет делаться

Я это всё к чему - если конструктор не проектирует штампы, а только детали из листового металла для листогиба, то ему нет смысла вообще знать эти коэффициенты, ему важнее знать параметры станка.

  • Хаха 1
Link to post
Share on other sites
37 минут назад, Sykes сказал:

Почитал ветку с непониманием что происходит. Расскажу вкратце как устроен листогиб,

Спасибо. Первый раз я работал на ручном листогибе в институтских мастерских (делал себе блок питания) где-то в 1975-76. Затем уже на заводе на гидравлическом. Последний раз в 2005-2006 уже главным технологом учил рабочих нового участка работе на ЧПУ гибочном прессе.

Бог с ней, с технологией и гибкой.

Вопрос в другом - как пользовательские свойства материла в СолидВокрс перенести в модель и записать их в свойства листового металла - чтобы толщина соответствовала, радиус гиба и Коэффициент К (не путать с планетой К) тоже. Т.е. назначил или изменил материал - нажал на кнопку и модель перестроилась.

Вот так выглядит материал в базе

        <material name="Лист 5 ГОСТ 19903-2015 Ст3сп-5 ГОСТ 14637-89" description="" propertysource="" appdata="">
            <swatchcolor RGB="CCFF66">
                <sldcolorswatch:Optical Ambient="0.520000" Transparency="0.000000" Diffuse="0.800000" Specularity="1.000000" Shininess="0.400000" Emission="0.000000"/>
            </swatchcolor>
            <xhatch name="ISO (Сталь)" angle="0.000000" scale="1.000000"/>
            <sheetmetalOption selectionType="Таблица размеров" gaugeTablePath="C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS\lang\russian\sheet metal gauge tables" gaugeTableName="C:\PROGRAM FILES\SOLIDWORKS CORP\SOLIDWORKS\LANG\RUSSIAN\SHEET METAL GAUGE TABLES\BEND ALLOWANCE INCHES SAMPLE.XLS" bendTablePath="C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS\lang\russian\Sheetmetal Bend Tables" bendTableName="" bendCalculationTablePath="C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS\lang\russian\Sheetmetal Bend Tables" bendCalculationTableName=""/>
            <sheetmetalThicknessRange>
                <prop fromThicknessOp="1" fromThicknessVal="0.000000" toThicknessOp="1" toThicknessVal="1.000000" unit="3" method="0" value="0.100000"/>
                <prop fromThicknessOp="1" fromThicknessVal="1.000000" toThicknessOp="1" toThicknessVal="1.500000" unit="3" method="0" value="0.142000"/>
                <prop fromThicknessOp="1" fromThicknessVal="1.500000" toThicknessOp="1" toThicknessVal="2.000000" unit="3" method="0" value="0.280000"/>
                <prop fromThicknessOp="1" fromThicknessVal="2.000000" toThicknessOp="1" toThicknessVal="3.000000" unit="3" method="0" value="0.280000"/>
                <prop fromThicknessOp="1" fromThicknessVal="3.000000" toThicknessOp="1" toThicknessVal="4.000000" unit="3" method="0" value="0.300000"/>
                <prop fromThicknessOp="1" fromThicknessVal="4.000000" toThicknessOp="1" toThicknessVal="5.000000" unit="3" method="0" value="0.300000"/>
                <prop fromThicknessOp="1" fromThicknessVal="5.000000" toThicknessOp="1" toThicknessVal="6.000000" unit="3" method="0" value="0.260000"/>
                <prop fromThicknessOp="1" fromThicknessVal="6.000000" toThicknessOp="1" toThicknessVal="8.000000" unit="3" method="0" value="0.260000"/>
                <prop fromThicknessOp="1" fromThicknessVal="8.000000" toThicknessOp="1" toThicknessVal="10.000000" unit="3" method="0" value="0.260000"/>
            </sheetmetalThicknessRange>
            <physicalproperties>
                <EX displayname="Модуль упругости" value="1.94E+11" usepropertycurve="0"/>
                <NUXY displayname="Коэффициент Пуассона" value="0.29" usepropertycurve="0"/>
                <GXY displayname="Модуль сдвига" value="7.900000256E+10" usepropertycurve="0"/>
                <ALPX displayname="Коэффициент теплового расширения" value="1.16e-05" usepropertycurve="0"/>
                <DENS displayname="Массовая плотность" value="7850" usepropertycurve="0"/>
                <KX displayname="Теплопроводность" value="88" usepropertycurve="0"/>
                <C displayname="Удельная теплоемкость" value="461" usepropertycurve="0"/>
                <SIGXT displayname="Предел прочности при растяжении" value="380000000" usepropertycurve="0"/>
                <SIGYLD displayname="Предел текучести" value="255000000" usepropertycurve="0"/>
            </physicalproperties>
            <sustainability linkId="" dbName=""/>
            <custom>
                <prop name="Толщина" description="" value="5" units="миллиметры"/>
                <prop name="Радиус гиба" description="" value="5" units="миллиметры"/>
                <prop name="Коэффициент К" description="" value="0.26" units=""/>
            </custom>
        </material>
 

Edited by VOleg
Дополнение
Link to post
Share on other sites
1 час назад, VOleg сказал:

Т.е. назначил или изменил материал - нажал на кнопку и модель перестроилась.

Изменил толщину металла - модель перестроилась. А радиусы возможного гиба станка не изменились, в результате сидишь и вручную меняешь каждый радиус. Наверно оно того стоит)

Link to post
Share on other sites
11 минут назад, Sykes сказал:

Изменил толщину металла - модель перестроилась. А радиусы возможного гиба станка не изменились, в результате сидишь и вручную меняешь каждый радиус. Наверно оно того стоит)

Все радиусы, толщины и пр. внесены в материал в базе материалов. Ничего вручную менять не нужно. Вы можете ответить на МОЙ вопрос? Я пишу медленно, чтобы было понятнее.

Link to post
Share on other sites
12 минут назад, VOleg сказал:

Вы можете ответить на МОЙ вопрос?

Судя по скрину надо кликать в PropertyManager (в самом верху прямо под зелёной галочкой и красным крестиком нераскрытая часть настроек):

ПАРАМЕТРЫ ЛИСТОВОГО МЕТАЛЛА ИЗ МАТЕРИАЛА [v]

https://help.solidworks.com/2019/russian/solidworks/sldworks/r_base_flange_propertymanager.htm

 

 

 

Edited by Kelny
Link to post
Share on other sites
1 час назад, VOleg сказал:

Все радиусы, толщины и пр. внесены в материал в базе материалов. Ничего вручную менять не нужно. Вы можете ответить на МОЙ вопрос? Я пишу медленно, чтобы было понятнее.

Вы в базу материалов внесете радиус пуансона гибочного станка на заводе, куда отправится Ваш чертеж? Может есть смысл писать еще медленнее, чтобы было понятно о чем Вам пытается сказать человек, работавший на подобных станках на разных заводах много лет?

Edited by Sykes
Link to post
Share on other sites
Maik812
59 минут назад, Kelny сказал:

удя по скрину надо кликать в PropertyManager (в самом верху прямо под зелёной галочкой и красным крестиком нераскрытая часть настроек):

Почему их нет в свойстве детали? Или как привязать эти свойства к детали без кликанья для каждой. Пакетно нужно.

Link to post
Share on other sites
3 часа назад, Kelny сказал:

Судя по скрину надо кликать в PropertyManager (в самом верху прямо под зелёной галочкой и красным крестиком нераскрытая часть настроек):

ПАРАМЕТРЫ ЛИСТОВОГО МЕТАЛЛА ИЗ МАТЕРИАЛА [v]

https://help.solidworks.com/2019/russian/solidworks/sldworks/r_base_flange_propertymanager.htm

 

 

 

Я пытаюсь нажать, но пишет что "к телу не применен материал". Попробовал и материал Солида и дрпугие - результат один.

2 часа назад, Sykes сказал:

Вы в базу материалов внесете радиус пуансона гибочного станка на заводе, куда отправится Ваш чертеж? 

Да, конечно. В этом и смысл - все назначить в базе материалов, а при назначении материала все перенесется в модель.

Link to post
Share on other sites
3 часа назад, Kelny сказал:

Судя по скрину надо кликать в PropertyManager (в самом верху прямо под зелёной галочкой и красным крестиком нераскрытая часть настроек):

ПАРАМЕТРЫ ЛИСТОВОГО МЕТАЛЛА ИЗ МАТЕРИАЛА [v]

https://help.solidworks.com/2019/russian/solidworks/sldworks/r_base_flange_propertymanager.htm

 

 

 

Получилось назначить материал телу.

Теперь у тела материал и у детали материал. Одни и те же или разные? Буду тыркать дальше.

изображение_2022-09-21_220423377.png

назначил телу один материал, а детали другой. 

изображение_2022-09-21_220923846.png

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.




  • Сообщения

    • Udav817
      Скорее всего это надо искать в функционале модулей по расчёту деформаций. В общем, это сопромат. Моделировать окажется сильно дольше, чем провести эксперимент. Да и моделирование без эксперимента будет неточным.
    • Udav817
      Несколько это сколько? Я вижу только 2 детали. Большой контур, который делается замкнутым и маленькая скоба внутри. Ну, большой контур можно конечно сделать из двух частей, если технология не позволяет согнуть так, чтобы замкнуть и стык сварить. Тогда будет 3 "куска". И это не зависит от того, в скольки плоскостях гиб. Только от качества гибочного инструмента и опыта слесаря.   Длина развёртки может быть неточной только если пруток при гибке плохо зафиксирован. А так на таких габаритах плюс-минус 2 мм максимум (на большой детали). "схему гибки" придётся чертить вручную. CAD здесь поможет только размерами отрезков и дуг из эскиза. Как вариант, можно просто на видах указывать размеры от одной точки. Вручную, разумеется. Тогда будет больше ясности какой элемент идёт следующим. А если начертить прямой кусок и на нём нанести размеры, это не будет так наглядно. Это всё же не листовой материал и разницу надо понимать.
    • Udav817
      Проверяй права админа. И если библиотеки на сервере, там может быть настроен откат из резервной копии. 
    • раздватри
      Хорошо, прекращаем, но по ссылке я обнаружил только бред о крыльях пчел. А ведь они жужжат и возможно на звуковых волнах висят. Как вам этот бред ... Любое неисследованное явление должно быть сперва показано, а потом исследовано и очень редко наоборот, случайно. Ничего этого нет и быть не должно. Только бабка-Яга и на швабре - сказка словом.
    • Krusnik
      Подниму некропост. Решил я сделать себе CREO c блэкджеком и шлюхами со своим Hole. GOST.hol   Но уткнулся в следующее.  В hol файле есть фаски, и я внес в него заходные фаски под резьбу. Но нужны ещё фаски и под потай, плюс цековки под винты, болты. И все они разные.   Как удобнее делать это в CREO? Делать отдельные файлы типа 17475.hol?
    • MAXIKOT
      Я скачал триальную версию. Может я что-то не так делаю, но в списке файлов постпроцессора мне что нужно выбрать для этого?   да как тут картинку то вставить в сообщение, блин. https://thumb.cloud.mail.ru/thumb/xw1/new.jpg
    • НиколайП
      Картинки нет. Полосовой профиль - это банальная полоса, узкий длинный лист. Свободная кромка - та, что не сварена с листом настила. Вот как это может выглядеть (только пример, нет реальной задачи).   Стандарт требует пускать по свободной кромке фиктивный стержневой элемент, вот так:   Зачем это нужно? Зачем в этом несуществующем элементе измерять напряжения? Пояснений я в правилах РМРС не вижу.  Когда DNV рекомендует пускать стержень по краю мембранного элемента для устранения сингулярности - это понятно. Когда наш регистр пихает в правила не обработанный текст из Гугл-переводчика - непонятно.
    • a_schelyaev
      Вы знаете, вы мне напоминаете человека, который решил все измерения любых величин приводить к мм размерности, для чего ему пришлось вводить дополнительные коэффициенты "обрезающие" ед изм до мм. Вам говорят "зачем?", а вы в ответ "потому что я очень умный!". И вот стоит он, доказывает какой он умный себе на уме.
    • Maik812
      Не все так однозначно.. https://habr.com/ru/company/selectel/blog/550164/ коменты внизу стать тоже интересны!
    • Sykes
      Не думаю, что есть смыл углубляться в понятия, которые так и не были хоть как-то научно обоснованы, например ЭПС (эффект полосатых структур), посему предлагаю завершить эту тему здесь, а если Вам эта тема интересна - изучите в первоисточнике "Мой мир" Гребенников В. С.
×
×
  • Create New...